Delete recipient from envelope
Deletes a recipient from a draft or sent envelope.
If the envelope is “In Process” (has been sent and is not completed or voided), recipients that have completed their actions cannot be deleted.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
The external account number (int) or account id GUID.
The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec
A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1.
Response
Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).
The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with:
- recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded.
- includeDocuments - When set to true, the envelope time zone information is included in the message.